<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('plugins/docman/lib/DocmanFolderPeer.php');
require_once('plugins/docman/lib/DocmanFolder.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/docman/lib/html/DocmanAdminTemplate.php');
$theme = new DocmanAdminTemplate();

$Project = GFUrl::getUrl()->getProject();
$DocmanFolder = DocmanFolderPeer::retrieveByPk($_GET['id']);
if (!is_object($DocmanFolder) || !$DocmanFolder->userCanDelete()) {
	throw new PermissionDeniedException();
}

$params = array(
		'project' => $Project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('DocmanFolder.DeletePageTitle')
		);

include('forms/DocmanFolderDelete-tpl.php');

?>
