<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('external/fckeditor/fckeditor.php');
require_once('plugins/docman/lib/InfoParser.php');
require_once('lib/html/HTMLWidget.php');

$theme->header($params);

$oFCKeditor = new FCKeditor('message', $message) ;
$oFCKeditor->BasePath = GFUrl::getUrl()->buildURL('/fckeditor/');
$oFCKeditor->Width = "700";
$oFCKeditor->Height = "500";
$oFCKeditor->ToolbarSet = "GForge";
$project = GFUrl::getUrl()->getProject();
$oFCKeditor->setConnectorURLs($project->getProjectId());
?>
<script type="text/javascript">

function show_hide(id) {

	if (id == '2') {
		document.getElementById("row2").style.display = 'none';
		document.getElementById("row2").style.display = '';		
		document.getElementById("row3").style.display = 'none';
		document.getElementById("row3").style.display = '';				
		document.getElementById("row1").style.display = '';
		document.getElementById("row1").style.display = 'none';
	}
	else {
		document.getElementById("row1").style.display = 'none';
		document.getElementById("row1").style.display = '';
		document.getElementById("row2").style.display = '';
		document.getElementById("row2").style.display = 'none';
		document.getElementById("row3").style.display = '';
		document.getElementById("row3").style.display = 'none';
	}

	return(true);
}

</script>
<form enctype="multipart/form-data" name="docadd" method="POST" action="<?php echo GFUrl::getUrl()->currentBaseURL('DocmanFileAddAction'); ?>&redirect_to=<?php echo $redirect_to; ?>">
<input type="hidden" name="subdir" value="<?php echo $subdir; ?>">
<table>
  <tr>
    <td><p>
      <label>
	<input name="action_type" type="radio" id="action_type_0" value="<?php echo DocmanFile::EDITED_UPLOAD; ?>" <?php if ($action_type == DocmanFile::EDITED_UPLOAD) echo 'checked="checked"'; ?> onclick="javascript:show_hide('1');" />Upload a File</label>
      <br />
      <label>
	<input type="radio" name="action_type" value="<?php echo DocmanFile::EDITED_INLINE; ?>" <?php if ($action_type == DocmanFile::EDITED_INLINE) echo 'checked="checked"'; ?> id="action_type_1" onclick="javascript:show_hide('2');" />Add file with inline editor</label>
      <br />
    </p></td>
  </tr>
	<tr id="row1">
		<td><strong><?php echo Language::getSessText('Docman.UploadNew'); ?>:</strong><br />
		<input type="file" name="doc"></td>
	</tr>
	<tr id="row2" style="display:none;">
		<td><strong><?php echo "Filename"; ?>:</strong><br />
		<input size="40" name="filename" value="<?php echo $filename; ?>"></input></td>
	</tr>
	<tr>
		<td><strong><?php echo Language::getSessText('Docman.DescriptionName'); ?>:</strong><br />
		<textarea rows="4" cols="40" name="description"><?php echo $description; ?></textarea></td>
	</tr>
	<tr>
		<td><strong><?php echo Language::getSessText('Docman.ChangesName'); ?>:</strong><br />
		<textarea rows="4" cols="40" name="changes"><?php echo $changes; ?></textarea></td>
	</tr>
	<tr id="row3" style="display:none;">
		<td><strong>File contents:&nbsp;*</strong><br />		
		<?php echo $oFCKeditor->CreateHtml(); ?>
		</td>
	</tr>	
	<tr>
		<td>
			<?php echo HTMLWidget::button("submit", "Upload"); ?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','docman',$redirect_to,array('subdir' => $subdir)) . "'; ")?>
		</td>
	</tr>
</table>

<?php
if ($action_type == DocmanFile::EDITED_INLINE) {
	echo '<script type="text/javascript">show_hide("2");</script>';			// Show the HTML editor
}
?>


</form>
<?php
$theme->footer($params);
?>
