<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code lists Mailman
//
require_once('plugins/mailman/lib/MailmanPeer.php');
require_once('plugins/mailman/lib/Mailman.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('plugins/mailman/lib/html/MailmanAdminTemplate.php');
$theme = new MailmanAdminTemplate();

//$Project = GFUrl::getUrl()->getProject();
//$Mailman = $MailmanPeer::retrieveByPk($_GET['id']);

$params = array(
	//	'project' => $Project,
	//	'Mailman' => $Mailman,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Mailman.BrowsePageTitle')
		);
$theme->header($params);


// Retrieve the objects array
$crit = new Criteria();
//$crit->add(MailmanPeer::, $Project->getProjectId());
$arr = MailmanPeer::doSelect($crit);

if (count($arr) < 1) {
	echo '<span class="nonefound">'.$Lang->getText('Mailman.NoneFound').'</span>';
} else {

	$theader = array();

	$theader[] = $Lang->getText('Mailman.MailmanIdName');
	$theader[] = $Lang->getText('Mailman.ProjectIdName');
	$theader[] = $Lang->getText('Mailman.ListNameName');
	$theader[] = $Lang->getText('Mailman.IsPublicName');
	$theader[] = $Lang->getText('Mailman.ListPasswordName');
	$theader[] = $Lang->getText('Mailman.ListAdminIdName');
	$theader[] = $Lang->getText('Mailman.StatusIdName');
	$theader[] = $Lang->getText('Mailman.DescriptionName');
	$theader[] = $Lang->getText('Mailman.CreateDateName');

	echo $theme->tableTop($theader);

	foreach ($arr as $item) {
		$trow = array();
		$trow[]=$item->getMailmanId();
		$trow[]='<a href="'. GFUrl::getUrl()->currentBaseUrl('MailmanEdit').'&amp;id='.$item->getID() .'">'. $item->getProjectId().'</a>';
		$trow[]=$item->getListName();
		$trow[]=$item->getIsPublic();
		$trow[]=$item->getListPassword();
		$trow[]='<a href="'. GFUrl::getUrl()->currentBaseUrl('MailmanEdit').'&amp;id='.$item->getID() .'">'. $item->getCreatedBy().'</a>';
		$trow[]=$item->getStatus();
		$trow[]=$item->getListDescription();
		$trow[]=$item->getCreateDate();

		echo $theme->tableRow($trow, array(), false);
	}

	echo $theme->tableBottom();

}

$theme->footer($params);
?>