<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing TrackerItemMessage
//
require_once('lib/core/Filesystem.php');
require_once('lib/core/FilesystemPeer.php');

$crit = new Criteria();
$crit->add(FilesystemPeer::SECTION,TrackerItem::SECTION);
$crit->add(FilesystemPeer::REF_ID,$TrackerItem->getTrackerItemId());
$arr = FilesystemPeer::doSelect($crit);
/*
if (!is_object($TrackerItemMessage) || !$TrackerItemMessage->userCanUpdate()) {
	throw new PermissionDeniedException();
}*/

$theader=array();
$theader[] = $Lang->getText('Filesystem.FileNameName');
$theader[] = $Lang->getText('Filesystem.FileTypeName');
$theader[] = $Lang->getText('Filesystem.FileSizeName');
$theader[] = $Lang->getText('Filesystem.PostedByName');
if ($IS_TECH) {
	$theader[] = $Lang->getText('Delete');
}

echo $theme->tableTop($theader);
if (count($arr) < 1) {
	echo $theme->tableFullRow($Lang->getText('Filesystem.NoneFound'));
} else {

	foreach ($arr as $item) {
		$trow = array();
		$url = GFUrl::getURL()->downloadURL(TrackerItem::SECTION,$TrackerItem->getTrackerItemId(),$item->getPrimaryKey(),$item->getFileNameSafe());
		$trow[] = '<a href="'.$url.'">'.$item->getFileName().'</a>';
	//	$trow[]=$item->getFileName();
		//$trow[]=$item->getFileNameSafe();
		$trow[]=$item->getFileType();
		$trow[]=$item->getFileSize();
		$trow[]=$item->getUser()->getUserLink();
		if ($IS_TECH) {
			$trow[]='<input type="checkbox" name="deletefile[]" value="'.$item->getFilesystemId().'"/>&nbsp;'.$Lang->getText('Delete');
		}
		echo $theme->tableRow($trow);
	}

}
echo $theme->tableBottom();
if ($IS_TECH || $IS_SUBMITTER) {
?>
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Filesystem.AddNew'); ?></strong><br />
			<input name="addfile[]" size="30" type="file"><br />
			<input name="addfile[]" size="30" type="file"><br />
			<input name="addfile[]" size="30" type="file"><br />
			<input name="addfile[]" size="30" type="file"><br />
			<input name="addfile[]" size="30" type="file">
			</td>
		</tr>
	</table>
<?php } ?>
