﻿<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. P�ez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('html/templates/SiteAdminTemplate.php');
require_once('lib/Validator.php');

isset($_REQUEST['feedback']) ? $feedback = $_REQUEST['feedback'] : $feedback = '';

$Lang = Session::getSession()->getLanguage();

$template = new SiteAdminTemplate();

$params = array(
		'title'	=> $Lang->getText('News.ApproveRejectFPNews'),
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : '');
$template->header($params);

$lang = Session::getSession()->getLanguage();

$theader = array();
$theader[] = $lang->getText('News.ApprovedFrontPage');
$theader[] = $lang->getText('Common.Project');
$theader[] = $lang->getText('News.DetailsName');

echo '<form name="update" method="POST" action="' . GFUrl::getUrl()->currentBaseURL('NewsApproveAction') . '">';

echo $template->tableTop($theader);

$twoweeksago = time() - 1209600; //1209600 = 14 days

$c = new Criteria();
$c->add(NewsPeer::POST_DATE, $twoweeksago, Criteria::GREATER_THAN);
$c->addDescendingOrderByColumn(NewsPeer::POST_DATE);
$all_news = NewsPeer::doSelect($c);

require_once('forms/NewsApprove-tpl.php');

$template->footer();

?>
