<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for $OBJECT deletion
//
require_once('core/RolePeer.php');
require_once('core/Role.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/ProjectAdminTemplate.php');
$theme = new ProjectAdminTemplate();

$Project = GFUrl::getUrl()->getProject();
$Role = RolePeer::retrieveByPk($_GET['role_id']);
if ($Role == null || !is_object($Role)) {
	throw new PermissionDeniedException();
}
$role_name = $Role->getRoleName();
$params = array(
		'project' => $Project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Role.DeletePageTitle')
		);

include('forms/RoleDelete-tpl.php');

?>
