#!/usr/bin/php
<?php

// This is an intermediate script that executes CVS's hook scripts. This is needed because for some
// reason PHP tries to execute some committed files if they have the same name than GForge files.
// See bug #5234
$script_name=$argv[1];

if ( $script_name == "logcheck" ) {
	$script_path="/opt/gforge5/plugins/scmcvs/bin/logcheck.php";
} elseif ( $script_name == "aclcheck" ) {
	$script_path="/opt/gforge5/plugins/scmcvs/bin/aclcheck.php";
} elseif ( $script_name == "post" ) {
	$script_path="/opt/gforge5/plugins/scmcvs/bin/post.php";
} else {
	echo "Invalid script specified";
	exit(1);
}

$args = '';
for ($i=2; $i<count($argv); $i++) {
	$args .= escapeshellarg($argv[$i]).' ';
}

$command = "cd /opt/gforge5 && php $script_path $args";
$ouptut = array();
$retval = execute($command, $output);

echo implode("\n", $output);

exit($retval);


//////////////////////////////////////////////////
function execute($command, &$output) {
	$retval = 0;
	exec($command, $output, $retval);
	return $retval;		
}

?>
