<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for Snippet
//
require_once('plugins/snippet/lib/SnippetPeer.php');
require_once('plugins/snippet/lib/Snippet.php');
require_once('GFUrl.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('lib/core/TroveLink.php');
require_once('html/HTMLWidget.php');
require_once('html/TroveRenderer.php');

$session = Session::getSession();
if (!$session->isLoggedIn()) {
	throw new PermissionDeniedException();
}
$Lang = $session->getLanguage();

require_once('plugins/snippet/lib/html/SnippetTemplate.php');
$theme = new SnippetTemplate();

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('Snippet.AddNewPageTitle')
		);

$snippet_name=((isset($_POST['snippet_name'])) ? htmlspecialchars($_POST['snippet_name']) : '' );
$snippet_description=((isset($_POST['snippet_description'])) ? htmlspecialchars($_POST['snippet_description']) : '' );

include('forms/SnippetAdd-tpl.php');

?>
