<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new TrackerCannedResponse and saves it to the 
// database
//
require_once('plugins/tracker/lib/TrackerCannedResponse.php');
require_once('plugins/tracker/lib/TrackerCannedResponsePeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

if ($_POST['sure']) {
	$TrackerCannedResponse = TrackerCannedResponsePeer::retrieveByPk($_REQUEST['tracker_canned_response_id']);
	$Tracker=$TrackerCannedResponse->getTracker();
	if (is_object($Tracker) && $Tracker->userIsAdmin()) {
		$TrackerCannedResponse->delete();
		GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('TrackerCannedResponseBrowse'), array('feedback' => Language::getSessLang()->getText('TrackerCannedResponse.DeleteFeedback'), 'tracker_id'=>$Tracker->getTrackerId()));
	} else {
		throw new PermissionDeniedException();
	}
} else {
	$feedback = Language::getSessLang()->getText('TrackerCannedResponseDeleteForm.DidntConfirm');
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('TrackerCannedResponseBrowse'), array('feedback' =>$feedback, 'tracker_id'=>$Tracker->getTrackerId()));
}

?>