<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<p>
	<strong><?php echo $Lang->getText('TrackerCannedResponse.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerCannedResponseAddAction') ?>" method="post">
<input type="hidden" name="tracker_id" value="<?php echo $tracker_id; ?>"  />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerCannedResponse.TitleName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="title" value="<?php echo $title; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerCannedResponse.BodyName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="body" value="<?php echo $body; ?>"  /></td>
		</tr>
		<tr>
		<td>
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","javascript:history.go(-1);")?>
		</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>