<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Ruben Gutierrez	ruben@gforgegroup.com
 * @date 2006-03-16
 *
 * SOAP plugin for GForge5.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
 

//
// ScmCommit
//
$server->wsdl->addComplexType(
	'ScmCommit',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
		'commit_id' => array('name' => 'commit_id', 'type' => 'xsd:int'),
		'commit_date' => array('name' => 'commit_date', 'type' => 'xsd:int'),
		'message_log' => array('name' => 'message_log', 'type' => 'xsd:string'),
		'files' => array('name' => 'files', 'type' => 'tns:ArrayOfScmCommitFile'),
		'user_id' => array('name' => 'user_id', 'type' => 'xsd:int')
	)
);

//
// ArrayOfScmCommit
//
$server->wsdl->addComplexType(
	'ArrayOfScmCommit',
	'complexType',
	'array',
	'',
	'SOAP-ENC:Array',
	array(),
	array(
		array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:ScmCommit[]')
	),
	'tns:ScmCommit'
);

//
// ScmCommitFile
//
$server->wsdl->addComplexType(
	'ScmCommitFile',
	'complexType',
	'struct',
	'sequence',
	'',
	array(
		'modified_file' => array('name' => 'modified_file', 'type' => 'xsd:string'),
		'prev_version' => array('name' => 'prev_version', 'type' => 'xsd:string'),
		'new_version' => array('name' => 'new_version', 'type' => 'xsd:string')
	)
);

//
// ArrayOfScmCommitFile
//
$server->wsdl->addComplexType(
	'ArrayOfScmCommitFile',
	'complexType',
	'array',
	'',
	'SOAP-ENC:Array',
	array(),
	array(
		array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:ScmCommitFile[]')
	),
	'tns:ScmCommitFile'
);

?>
